import { OpenAPI } from 'openapi-types';
import { OpenAPIWorkspace } from '@fern-api/browser-compatible-fern-workspace';

declare type Spec = OpenAPISpec;
interface OpenAPISpec {
    type: "openapi";
    openapi: OpenAPI.Document;
    overrides?: Partial<OpenAPI.Document>;
    settings?: OpenAPIWorkspace.Settings;
}

export type { OpenAPISpec, Spec };
