import { FernWorkspace } from '@fern-api/api-workspace-commons';
import { Spec } from '../Spec.cjs';
import { generatorsYml } from '@fern-api/configuration';
import { TaskContext } from '@fern-api/task-context';
import 'openapi-types';
import '@fern-api/browser-compatible-fern-workspace';

declare function convertSpecToWorkspace({ context, spec, generatorsConfiguration }: {
    context: TaskContext;
    spec: Spec;
    generatorsConfiguration: generatorsYml.GeneratorsConfiguration | undefined;
}): FernWorkspace;

export { convertSpecToWorkspace };
